/// <reference types="react" />
type ButtonProps = {
    content: string | JSX.Element;
    height?: string;
    width?: string;
    background?: string;
    textColor?: string;
    disabled?: true;
    customClass?: string;
    onClick: React.MouseEventHandler<HTMLButtonElement>;
};
declare function Button({ content, height, width, background, textColor, disabled, customClass, onClick }: ButtonProps): JSX.Element;

type InformationCardProps = {
    image: string;
    text: string;
    background?: string;
    customClass?: string;
};
declare function InformationCard({ image, text, background, customClass }: InformationCardProps): JSX.Element;

type SectionTitleProps = {
    title: string;
    customClass?: string;
};
declare function SectionTitle({ title, customClass }: SectionTitleProps): JSX.Element;

type BannerVerticalMobileProps = {
    background: string;
    logo: string;
    image: string;
    title: string;
    subTitle: string;
    labelSignupButton: string;
    labelLoginButton: string;
    subTitleButtons: string;
    customClass?: string;
    onClickSignUp: React.MouseEventHandler<HTMLButtonElement>;
    onClickLogin: React.MouseEventHandler<HTMLButtonElement>;
};
declare function BannerVerticalMobile({ background, logo, image, title, subTitle, labelSignupButton, labelLoginButton, subTitleButtons, customClass, onClickSignUp, onClickLogin }: BannerVerticalMobileProps): JSX.Element;

type RegistrationButtonsProps = {
    labelSignup: string;
    labelLogin: string;
    backgroundSignup: string;
    backgroundLogin: string;
    subTitle: string;
    textColorSignup?: string;
    textColorLogin?: string;
    darkBackground?: boolean;
    customClass?: string;
    onClickSignUp: React.MouseEventHandler<HTMLButtonElement>;
    onClickLogin: React.MouseEventHandler<HTMLButtonElement>;
};
declare function RegistrationButtons({ labelSignup, labelLogin, backgroundSignup, backgroundLogin, subTitle, textColorSignup, textColorLogin, darkBackground, customClass, onClickSignUp, onClickLogin }: RegistrationButtonsProps): JSX.Element;

export { BannerVerticalMobile, BannerVerticalMobileProps, Button, ButtonProps, InformationCard, InformationCardProps, RegistrationButtons, RegistrationButtonsProps, SectionTitle, SectionTitleProps };
